Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Build.Build.Iar Class Referencesealed
Inheritance diagram for Zwipe.Build.Build.Iar:
[legend]
Collaboration diagram for Zwipe.Build.Build.Iar:
[legend]

## Public Member Functions
override bool | Execute ()

## Properties
string | Executable`[get, set]`
ITaskItem[] | Projects`[get, set]`
string | Properties`[get, set]`
string | Phase = PhaseBuild`[get, set]`
string | Configuration = ConfigurationRelease`[get, set]`

## Private Member Functions
IEnumerable< string > | GetPhases (ITaskItem project)
string | GetProperties (ITaskItem project)
void | ProcessOutput (string text)
void | OnStandardOutputReceived (string text)
void | OnStandardErrorReceived (string text)
void | WriteProperties (string fileName, string properties)
IarWorkspace | LoadWorkspace (string workspacePath)
IEnumerable< Tuple< string, string > > | GetProjects (string workspacePath, string workspaceConfiguration)

## Private Attributes
readonly Dictionary< string, long > | _consumed = new Dictionary<string, long>()
readonly Dictionary< string, long > | _consumedTotal = new Dictionary<string, long>()

## Static Private Attributes
const string | PhaseClean = "clean"
const string | PhaseBuild = "build"
const string | PhaseMake = "make"
const string | ConfigurationDebug = "Debug"
const string | ConfigurationRelease = "Release"
const string | ProjectItemPhaseTag = "Phase"
const string | ProjectItemPropertiesTag = "Properties"
const string | ProjectItemConfigurationTag = "Configuration"

## Member Function Documentation

## ◆ Execute()

override bool Zwipe.Build.Build.Iar.Execute | ( |  | ) |

Here is the call graph for this function:

## ◆ GetPhases()

IEnumerable< string > Zwipe.Build.Build.Iar.GetPhases | ( | ITaskItem | project | ) |
| private

Here is the caller graph for this function:

## ◆ GetProjects()

IEnumerable< Tuple< string, string > > Zwipe.Build.Build.Iar.GetProjects | ( | string | workspacePath,
|  | string | workspaceConfiguration )
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetProperties()

string Zwipe.Build.Build.Iar.GetProperties | ( | ITaskItem | project | ) |
| private

Here is the caller graph for this function:

## ◆ LoadWorkspace()

IarWorkspace Zwipe.Build.Build.Iar.LoadWorkspace | ( | string | workspacePath | ) |
| private

Here is the caller graph for this function:

## ◆ OnStandardErrorReceived()

void Zwipe.Build.Build.Iar.OnStandardErrorReceived | ( | string | text | ) |
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ OnStandardOutputReceived()

void Zwipe.Build.Build.Iar.OnStandardOutputReceived | ( | string | text | ) |
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ ProcessOutput()

void Zwipe.Build.Build.Iar.ProcessOutput | ( | string | text | ) |
| private

Here is the caller graph for this function:

## ◆ WriteProperties()

void Zwipe.Build.Build.Iar.WriteProperties | ( | string | fileName,
|  | string | properties )
| private

Here is the caller graph for this function:

## Member Data Documentation

## ◆ _consumed

readonly Dictionary<string, long> Zwipe.Build.Build.Iar._consumed = new Dictionary<string, long>()
| private

## ◆ _consumedTotal

readonly Dictionary<string, long> Zwipe.Build.Build.Iar._consumedTotal = new Dictionary<string, long>()
| private

## ◆ ConfigurationDebug

const string Zwipe.Build.Build.Iar.ConfigurationDebug = "Debug"
| static private

## ◆ ConfigurationRelease

const string Zwipe.Build.Build.Iar.ConfigurationRelease = "Release"
| static private

## ◆ PhaseBuild

const string Zwipe.Build.Build.Iar.PhaseBuild = "build"
| static private

## ◆ PhaseClean

const string Zwipe.Build.Build.Iar.PhaseClean = "clean"
| static private

## ◆ PhaseMake

const string Zwipe.Build.Build.Iar.PhaseMake = "make"
| static private

## ◆ ProjectItemConfigurationTag

const string Zwipe.Build.Build.Iar.ProjectItemConfigurationTag = "Configuration"
| static private

## ◆ ProjectItemPhaseTag

const string Zwipe.Build.Build.Iar.ProjectItemPhaseTag = "Phase"
| static private

## ◆ ProjectItemPropertiesTag

const string Zwipe.Build.Build.Iar.ProjectItemPropertiesTag = "Properties"
| static private

## Property Documentation

## ◆ Configuration

string Zwipe.Build.Build.Iar.Configuration = ConfigurationRelease
| get set

## ◆ Executable

string Zwipe.Build.Build.Iar.Executable
| get set

## ◆ Phase

string Zwipe.Build.Build.Iar.Phase = PhaseBuild
| get set

## ◆ Projects

ITaskItem [] Zwipe.Build.Build.Iar.Projects
| get set

## ◆ Properties

string Zwipe.Build.Build.Iar.Properties
| get set

The documentation for this class was generated from the following file:

- Zwipe.Build/Build/Iar.cs